Problemas en la Autenticación de Google

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Problemas en la Autenticación de Google

Christian Gurdian
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:

https://console.cloud.google.com/

no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Gabriel Pozo
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Christian Gurdian
Ese es el problema, no me da ningun mensaje de error solo deja la pantalla en oscuro, y el único error es el que manda al dar atrás para quitar lo oscuro, error de interrupción de proceso, pense que era por tiempo de espera pero lo deje toda la noche el emulador y se mantuvo ahí, ni siquiera entra al onActivityResult 

Te mando el codigo del evento

List<AuthUI.IdpConfig> providers = Arrays.asList(new AuthUI.IdpConfig.GoogleBuilder().build());
private int RC_SIGN_IN = 9001;

Button signInButton, UserInButton;
EditText mEmail, mPassw;

FirebaseAuth mAuth;

mAuth = FirebaseAuth.getInstance();

signInButton.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View v) {
startActivityForResult(
AuthUI.getInstance()
.createSignInIntentBuilder()
.setAvailableProviders(providers)
.build(),
RC_SIGN_IN);
}
});
Ya volvi a actualizar todas las paqueterias nuevamente 

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'

implementation 'com.google.firebase:firebase-auth:20.0.1'
implementation 'com.google.firebase:firebase-core:18.0.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'

implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"

implementation 'com.google.android.gms:play-services-auth:19.0.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'

implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'

implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'


}
Pero el mismo resultado

El mar., 17 nov. 2020 a las 6:33, Gabriel Pozo (<[hidden email]>) escribió:
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB0Nryv-h3SATwg8%3D6KOnyuGPd5OUtgd4NxWhKr9NHy3JQ%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Gabriel Pozo
Si realmente configuraste todo como dice la docu oficial: https://firebase.google.com/docs/cloud-messaging/android/client?hl=es
Incluyendo los xml y demás, estoy seguro que algún evento tiene que haber seguro, puede pasar que estás olvidando poner algún log.
Colocando algunos breakpoint se tiene que ver que está sucediendo. Sin una salida del log extensa, o al menos un poco más de código es muy difícil intentar ayudarte.

Saludos, Gabriel


El mar., 17 nov. 2020 a las 19:43, Christian Gurdian (<[hidden email]>) escribió:
Ese es el problema, no me da ningun mensaje de error solo deja la pantalla en oscuro, y el único error es el que manda al dar atrás para quitar lo oscuro, error de interrupción de proceso, pense que era por tiempo de espera pero lo deje toda la noche el emulador y se mantuvo ahí, ni siquiera entra al onActivityResult 

Te mando el codigo del evento

List<AuthUI.IdpConfig> providers = Arrays.asList(new AuthUI.IdpConfig.GoogleBuilder().build());
private int RC_SIGN_IN = 9001;

Button signInButton, UserInButton;
EditText mEmail, mPassw;

FirebaseAuth mAuth;

mAuth = FirebaseAuth.getInstance();

signInButton.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View v) {
startActivityForResult(
AuthUI.getInstance()
.createSignInIntentBuilder()
.setAvailableProviders(providers)
.build(),
RC_SIGN_IN);
}
});
Ya volvi a actualizar todas las paqueterias nuevamente 

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'

implementation 'com.google.firebase:firebase-auth:20.0.1'
implementation 'com.google.firebase:firebase-core:18.0.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'

implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"

implementation 'com.google.android.gms:play-services-auth:19.0.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'

implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'

implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'


}
Pero el mismo resultado

El mar., 17 nov. 2020 a las 6:33, Gabriel Pozo (<[hidden email]>) escribió:
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB0Nryv-h3SATwg8%3D6KOnyuGPd5OUtgd4NxWhKr9NHy3JQ%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2BdcNthkq3XfoX4Teyhr%3Dfcok%2BdXt5E_2KEO7neBv4nYA%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Christian Gurdian
Gracias por su ayuda

Libre de virus. www.avast.com

El mié., 18 nov. 2020 a las 8:27, Gabriel Pozo (<[hidden email]>) escribió:
Si realmente configuraste todo como dice la docu oficial: https://firebase.google.com/docs/cloud-messaging/android/client?hl=es
Incluyendo los xml y demás, estoy seguro que algún evento tiene que haber seguro, puede pasar que estás olvidando poner algún log.
Colocando algunos breakpoint se tiene que ver que está sucediendo. Sin una salida del log extensa, o al menos un poco más de código es muy difícil intentar ayudarte.

Saludos, Gabriel


El mar., 17 nov. 2020 a las 19:43, Christian Gurdian (<[hidden email]>) escribió:
Ese es el problema, no me da ningun mensaje de error solo deja la pantalla en oscuro, y el único error es el que manda al dar atrás para quitar lo oscuro, error de interrupción de proceso, pense que era por tiempo de espera pero lo deje toda la noche el emulador y se mantuvo ahí, ni siquiera entra al onActivityResult 

Te mando el codigo del evento

List<AuthUI.IdpConfig> providers = Arrays.asList(new AuthUI.IdpConfig.GoogleBuilder().build());
private int RC_SIGN_IN = 9001;

Button signInButton, UserInButton;
EditText mEmail, mPassw;

FirebaseAuth mAuth;

mAuth = FirebaseAuth.getInstance();

signInButton.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View v) {
startActivityForResult(
AuthUI.getInstance()
.createSignInIntentBuilder()
.setAvailableProviders(providers)
.build(),
RC_SIGN_IN);
}
});
Ya volvi a actualizar todas las paqueterias nuevamente 

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'

implementation 'com.google.firebase:firebase-auth:20.0.1'
implementation 'com.google.firebase:firebase-core:18.0.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'

implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"

implementation 'com.google.android.gms:play-services-auth:19.0.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'

implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'

implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'


}
Pero el mismo resultado

El mar., 17 nov. 2020 a las 6:33, Gabriel Pozo (<[hidden email]>) escribió:
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB0Nryv-h3SATwg8%3D6KOnyuGPd5OUtgd4NxWhKr9NHy3JQ%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2BdcNthkq3XfoX4Teyhr%3Dfcok%2BdXt5E_2KEO7neBv4nYA%40mail.gmail.com.


--
Gracias, christian

Libre de virus. www.avast.com

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB1Aj66yU7qhyyiyqeU8_0HASxs0%2BXzDn1Uu5EPGHF-rNA%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Gabriel Pozo
Lo pudiste resolver? Cual era el problema?

Saludos, Gabriel


El sáb, 21 nov 2020 a las 5:25, Christian Gurdian (<[hidden email]>) escribió:
Gracias por su ayuda

Libre de virus. www.avast.com

El mié., 18 nov. 2020 a las 8:27, Gabriel Pozo (<[hidden email]>) escribió:
Si realmente configuraste todo como dice la docu oficial: https://firebase.google.com/docs/cloud-messaging/android/client?hl=es
Incluyendo los xml y demás, estoy seguro que algún evento tiene que haber seguro, puede pasar que estás olvidando poner algún log.
Colocando algunos breakpoint se tiene que ver que está sucediendo. Sin una salida del log extensa, o al menos un poco más de código es muy difícil intentar ayudarte.

Saludos, Gabriel


El mar., 17 nov. 2020 a las 19:43, Christian Gurdian (<[hidden email]>) escribió:
Ese es el problema, no me da ningun mensaje de error solo deja la pantalla en oscuro, y el único error es el que manda al dar atrás para quitar lo oscuro, error de interrupción de proceso, pense que era por tiempo de espera pero lo deje toda la noche el emulador y se mantuvo ahí, ni siquiera entra al onActivityResult 

Te mando el codigo del evento

List<AuthUI.IdpConfig> providers = Arrays.asList(new AuthUI.IdpConfig.GoogleBuilder().build());
private int RC_SIGN_IN = 9001;

Button signInButton, UserInButton;
EditText mEmail, mPassw;

FirebaseAuth mAuth;

mAuth = FirebaseAuth.getInstance();

signInButton.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View v) {
startActivityForResult(
AuthUI.getInstance()
.createSignInIntentBuilder()
.setAvailableProviders(providers)
.build(),
RC_SIGN_IN);
}
});
Ya volvi a actualizar todas las paqueterias nuevamente 

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'

implementation 'com.google.firebase:firebase-auth:20.0.1'
implementation 'com.google.firebase:firebase-core:18.0.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'

implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"

implementation 'com.google.android.gms:play-services-auth:19.0.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'

implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'

implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'


}
Pero el mismo resultado

El mar., 17 nov. 2020 a las 6:33, Gabriel Pozo (<[hidden email]>) escribió:
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB0Nryv-h3SATwg8%3D6KOnyuGPd5OUtgd4NxWhKr9NHy3JQ%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2BdcNthkq3XfoX4Teyhr%3Dfcok%2BdXt5E_2KEO7neBv4nYA%40mail.gmail.com.


--
Gracias, christian

Libre de virus. www.avast.com

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB1Aj66yU7qhyyiyqeU8_0HASxs0%2BXzDn1Uu5EPGHF-rNA%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9pKpnUeibLCKs9RDmg_-VpErwTLLgeM3TJFzobvE-agrKg%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Christian Gurdian
Si lo pude resolver, y era por la peor tonteria que me pudo pasar, para que no les pase lo mismo se los cuento, cuando yo programé mi aplicación con firebase login, no tenía ligado Console cloud, en cuando yo lo ligue a mi cuenta de firebase el crear las credenciales y los Key de las API, de ahí el problema, por que recrea bien el nombre del paquete pero me pudo cualquier cosa en el certificado SHA-1, entonces cuando reviso pienso que esta bien pero no lo es, en el firebase esta con una y en Console cloud otra cosa y de ahí el conflicto.

Espero que esta anécdota le sirva a alguien y no pase lo mismo que a mi.

Libre de virus. www.avast.com

El sáb, 21 nov 2020 a las 6:56, Gabriel Pozo (<[hidden email]>) escribió:
Lo pudiste resolver? Cual era el problema?

Saludos, Gabriel


El sáb, 21 nov 2020 a las 5:25, Christian Gurdian (<[hidden email]>) escribió:
Gracias por su ayuda

Libre de virus. www.avast.com

El mié., 18 nov. 2020 a las 8:27, Gabriel Pozo (<[hidden email]>) escribió:
Si realmente configuraste todo como dice la docu oficial: https://firebase.google.com/docs/cloud-messaging/android/client?hl=es
Incluyendo los xml y demás, estoy seguro que algún evento tiene que haber seguro, puede pasar que estás olvidando poner algún log.
Colocando algunos breakpoint se tiene que ver que está sucediendo. Sin una salida del log extensa, o al menos un poco más de código es muy difícil intentar ayudarte.

Saludos, Gabriel


El mar., 17 nov. 2020 a las 19:43, Christian Gurdian (<[hidden email]>) escribió:
Ese es el problema, no me da ningun mensaje de error solo deja la pantalla en oscuro, y el único error es el que manda al dar atrás para quitar lo oscuro, error de interrupción de proceso, pense que era por tiempo de espera pero lo deje toda la noche el emulador y se mantuvo ahí, ni siquiera entra al onActivityResult 

Te mando el codigo del evento

List<AuthUI.IdpConfig> providers = Arrays.asList(new AuthUI.IdpConfig.GoogleBuilder().build());
private int RC_SIGN_IN = 9001;

Button signInButton, UserInButton;
EditText mEmail, mPassw;

FirebaseAuth mAuth;

mAuth = FirebaseAuth.getInstance();

signInButton.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View v) {
startActivityForResult(
AuthUI.getInstance()
.createSignInIntentBuilder()
.setAvailableProviders(providers)
.build(),
RC_SIGN_IN);
}
});
Ya volvi a actualizar todas las paqueterias nuevamente 

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'

implementation 'com.google.firebase:firebase-auth:20.0.1'
implementation 'com.google.firebase:firebase-core:18.0.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'

implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"

implementation 'com.google.android.gms:play-services-auth:19.0.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'

implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'

implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'


}
Pero el mismo resultado

El mar., 17 nov. 2020 a las 6:33, Gabriel Pozo (<[hidden email]>) escribió:
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB0Nryv-h3SATwg8%3D6KOnyuGPd5OUtgd4NxWhKr9NHy3JQ%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2BdcNthkq3XfoX4Teyhr%3Dfcok%2BdXt5E_2KEO7neBv4nYA%40mail.gmail.com.


--
Gracias, christian

Libre de virus. www.avast.com

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB1Aj66yU7qhyyiyqeU8_0HASxs0%2BXzDn1Uu5EPGHF-rNA%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9pKpnUeibLCKs9RDmg_-VpErwTLLgeM3TJFzobvE-agrKg%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB36ZUk7zbFNAPOM6dSrgpFWJXK4RH-tucnL3KqAhKX9qg%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: Problemas en la Autenticación de Google

Gabriel Pozo
Siempre sirven esas anécdotas, son los peores errores esos.

El sáb., 21 de noviembre de 2020 12:15, Christian Gurdian <[hidden email]> escribió:
Si lo pude resolver, y era por la peor tonteria que me pudo pasar, para que no les pase lo mismo se los cuento, cuando yo programé mi aplicación con firebase login, no tenía ligado Console cloud, en cuando yo lo ligue a mi cuenta de firebase el crear las credenciales y los Key de las API, de ahí el problema, por que recrea bien el nombre del paquete pero me pudo cualquier cosa en el certificado SHA-1, entonces cuando reviso pienso que esta bien pero no lo es, en el firebase esta con una y en Console cloud otra cosa y de ahí el conflicto.

Espero que esta anécdota le sirva a alguien y no pase lo mismo que a mi.

Libre de virus. www.avast.com

El sáb, 21 nov 2020 a las 6:56, Gabriel Pozo (<[hidden email]>) escribió:
Lo pudiste resolver? Cual era el problema?

Saludos, Gabriel


El sáb, 21 nov 2020 a las 5:25, Christian Gurdian (<[hidden email]>) escribió:
Gracias por su ayuda

Libre de virus. www.avast.com

El mié., 18 nov. 2020 a las 8:27, Gabriel Pozo (<[hidden email]>) escribió:
Si realmente configuraste todo como dice la docu oficial: https://firebase.google.com/docs/cloud-messaging/android/client?hl=es
Incluyendo los xml y demás, estoy seguro que algún evento tiene que haber seguro, puede pasar que estás olvidando poner algún log.
Colocando algunos breakpoint se tiene que ver que está sucediendo. Sin una salida del log extensa, o al menos un poco más de código es muy difícil intentar ayudarte.

Saludos, Gabriel


El mar., 17 nov. 2020 a las 19:43, Christian Gurdian (<[hidden email]>) escribió:
Ese es el problema, no me da ningun mensaje de error solo deja la pantalla en oscuro, y el único error es el que manda al dar atrás para quitar lo oscuro, error de interrupción de proceso, pense que era por tiempo de espera pero lo deje toda la noche el emulador y se mantuvo ahí, ni siquiera entra al onActivityResult 

Te mando el codigo del evento

List<AuthUI.IdpConfig> providers = Arrays.asList(new AuthUI.IdpConfig.GoogleBuilder().build());
private int RC_SIGN_IN = 9001;

Button signInButton, UserInButton;
EditText mEmail, mPassw;

FirebaseAuth mAuth;

mAuth = FirebaseAuth.getInstance();

signInButton.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View v) {
startActivityForResult(
AuthUI.getInstance()
.createSignInIntentBuilder()
.setAvailableProviders(providers)
.build(),
RC_SIGN_IN);
}
});
Ya volvi a actualizar todas las paqueterias nuevamente 

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
}
dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'

implementation 'com.google.firebase:firebase-auth:20.0.1'
implementation 'com.google.firebase:firebase-core:18.0.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'

implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"

implementation 'com.google.android.gms:play-services-auth:19.0.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'

implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'

implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'


}
Pero el mismo resultado

El mar., 17 nov. 2020 a las 6:33, Gabriel Pozo (<[hidden email]>) escribió:
Hola Christian,

¿Podrías pasarnos el log de errores? En otras palabras, cuál es el error de incompatibilidad que te indica?


Saludos, Gabriel


El lun., 16 nov. 2020 a las 13:19, Christian Gurdian (<[hidden email]>) escribió:
Tengo un serio problema, yo cree una aplicación con Login basado en Firebase Google, estaba funcionando perfectamente pero de un tiempo a otro me ha producido errores.

Pensé que era una actualización, un error inesperado de compatibilidad pero busque una versión anterior de mi aplicación pero me daba el mismo error.

Esta son las librerías que utilizo

dependencies {
implementation fileTree(dir: "libs", include: ["*.jar"])
implementation 'androidx.appcompat:appcompat:1.2.0'
implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.legacy:legacy-support-v13:1.0.0'
implementation 'com.google.android.material:material:1.2.1'
implementation 'androidx.navigation:navigation-fragment:2.3.1'
implementation 'androidx.navigation:navigation-ui:2.3.1'
implementation 'com.google.firebase:firebase-auth:19.3.2'
implementation 'com.google.firebase:firebase-core:17.5.0'
implementation 'com.google.android.gms:play-services-maps:17.0.0'
implementation 'com.google.firebase:firebase-appindexing:19.1.0'
implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
testImplementation 'junit:junit:4.13.1'
androidTestImplementation 'androidx.test.ext:junit:1.1.2'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
implementation 'com.firebaseui:firebase-ui-auth:6.2.1'
implementation 'com.google.android.gms:play-services-wearable:17.0.0'
implementation 'androidx.room:room-runtime:2.2.5'
annotationProcessor 'androidx.room:room-compiler:2.2.5'
implementation 'androidx.room:room-ktx:2.2.5'
implementation "androidx.room:room-rxjava2:2.2.5"
implementation "androidx.room:room-guava:2.2.5"
testImplementation "androidx.room:room-testing:2.2.5"
implementation 'com.google.android.gms:play-services-auth:18.1.0'
implementation 'com.google.android.gms:play-services-base:17.5.0'
implementation 'com.squareup.retrofit2:retrofit:2.9.0'
implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
implementation 'com.squareup.retrofit2:adapter-rxjava:2.9.0'
implementation 'com.github.jama5262:CarouselView:1.1.0'
implementation 'com.github.nkzawa:socket.io-client:0.6.0'
implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
implementation 'org.apache.commons:commons-lang3:3.11'
implementation 'com.github.bumptech.glide:glide:4.11.0'
annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}

dependencies {
classpath 'com.android.tools.build:gradle:4.1.1'
classpath 'com.google.gms:google-services:4.3.3'
}

No creo que esa problema de código, debe es algún permisos especial por nueva política o algo, por cierto el proyecto que tengo en firebase esta ligada a:


no se si tenga algo que ver

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/aa10aed4-b3cc-47e4-b2c3-5d1d6671db19n%40googlegroups.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2B7P_r2m9gW%2BO2RSCKD1zuYdHVozvbO__ujhzLAfkbsWA%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB0Nryv-h3SATwg8%3D6KOnyuGPd5OUtgd4NxWhKr9NHy3JQ%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9p%2BdcNthkq3XfoX4Teyhr%3Dfcok%2BdXt5E_2KEO7neBv4nYA%40mail.gmail.com.


--
Gracias, christian

Libre de virus. www.avast.com

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB1Aj66yU7qhyyiyqeU8_0HASxs0%2BXzDn1Uu5EPGHF-rNA%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9pKpnUeibLCKs9RDmg_-VpErwTLLgeM3TJFzobvE-agrKg%40mail.gmail.com.


--
Gracias, christian

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAKYjjB36ZUk7zbFNAPOM6dSrgpFWJXK4RH-tucnL3KqAhKX9qg%40mail.gmail.com.

--
Para participar es necesario que leas detenidamente las normas del grupo: https://goo.gl/xeTRQm
---
Has recibido este mensaje porque estás suscrito al grupo "desarrolladores-android" de Grupos de Google.
Para cancelar la suscripción a este grupo y dejar de recibir sus mensajes, envía un correo electrónico a [hidden email].
Para ver esta conversación en el sitio web, visita https://groups.google.com/d/msgid/desarrolladores-android/CAAFH9pKB8%2BPzbthq2YqYLTSJxhM4c96ix4KjDqBLsokDEOJj3Q%40mail.gmail.com.